<<< Previous |  | Next >>>

# FcFreeTypeCharIndex

## Name

FcFreeTypeCharIndex -- map Unicode to glyph id

## Synopsis

    #include <fontconfig.h>
    #include <fcfreetype.h>

``FT_UInt `FcFreeTypeCharIndex``(FT_Face `face`, FcChar32 `ucs4`);`

## Description

Maps a Unicode char to a glyph index. This function uses information from several possible underlying encoding tables to work around broken fonts. As a result, this function isn't designed to be used in performance sensitive areas; results from this function are intended to be cached by higher level functions.

## Version

Fontconfig version 2.10.95

<<< Previous | Home | Next >>>
FUNCTIONS | Up | FcFreeTypeCharSet